IBM Support

PI63766: JAVA 8 PACKAGE NOT AUTOMATICALLY SELECTED WHEN EDGE LOAD BALANCE R PACKAGE SELECTED IN IM 1.8.5

Subscribe

You can track all active APARs for this component.

 

APAR status

  • Closed as program error.

Error description

  • When both the repositories for EDGE and JDK8 are included in
    IM 1.8.5 repositories and the user selects "IBM WebSphere Edge
    Components: Load Balancer for IPV4 and IPV6", the "IBM SDK,
    Java Technology Edition, Version 8" selection that is coupled
    with it is not selected automatically. Instead the user gets
    a message saying "The IBM WebSphere Edge Components: Load
    Balancer for IPV4 and IPV6 package requires the IBM SDK, Java
    Technology Edition, Version 8 package". The JDK8 should be
    automatically selected after you select EDGE ULB.
    

Local fix

Problem summary

  • ****************************************************************
    * USERS AFFECTED:  All users of IBM WebSphere Application      *
    *                  Server                                      *
    ****************************************************************
    * PROBLEM DESCRIPTION: Java 8 package should be selected       *
    *                      automatically when Edge Load Balancer   *
    *                      package is selected.                    *
    ****************************************************************
    * RECOMMENDATION:                                              *
    ****************************************************************
    When both the repositories for EDGE and JDK8 are included in
    Installation Manager 1.8.5 repositories and you select
    "IBM WebSphere Edge Components: Load Balancer for IPV4 and
    IPV6", the "IBM SDK, Java Technology Edition, Version 8"
    selection that is coupled with it is not selected
    automatically. Instead the user gets a message saying "The IBM
    WebSphere Edge Components: Load Balancer for IPV4 and IPV6
    package requires the IBM SDK, Java Technology Edition, Version
    8 package".
    The Installation Manager checks a EDGE ULB Offering property
    to decide whether or not the JDK8 should be automatically
    selected after you select EDGE ULB. The problem is that the
    property is not coded correctly.
    

Problem conclusion

Temporary fix

Comments

APAR Information

  • APAR number

    PI63766

  • Reported component name

    WEBS APP SERV N

  • Reported component ID

    5724H8800

  • Reported release

    900

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2016-06-08

  • Closed date

    2016-08-09

  • Last modified date

    2016-08-09

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    WEBS APP SERV N

  • Fixed component ID

    5724H8800

Applicable component levels

  • R900 PSY

       UP

[{"Business Unit":{"code":"BU053","label":"Cloud \u0026 Data Platform"},"Product":{"code":"SSEQTP","label":"WebSphere Application Server"},"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"900","Line of Business":{"code":"LOB36","label":"IBM Automation"}}]

Document Information

Modified date:
15 October 2021